## plymouth 0.8.2

=== debian/changelog ===
plymouth (0.8.2-2ubuntu31.1) precise-proposed; urgency=low

  * plymouth-ready.conf: Send an event to indicate plymouth is up. Needed
    to inform login managers that they can start without racing with
    plymouth-splash. (LP: #982889)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 03 May 2013 10:49:34 +0300

plymouth (0.8.2-2ubuntu31) precise-proposed; urgency=low

  * debian/patches/plymouth-optional-drm.patch: backport patch to disable
    intel dependency on !x86 (LP: #927424)
  * drop dependency drm-intel1 on !x86
  * debian/patches/plymouth-old-nouveau.patch: updated to use libdrm_nouveau1,
    needed for building on the updated libdrm.
  * debian/patches/autoreconf.patch: refreshed for above patches

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Fri, 18 Jan 2013 17:59:35 +0100

plymouth (0.8.2-2ubuntu30) precise; urgency=low

  [ Philip Muškovac ]
  * debian/patches/kubuntu-text.patch:
    Change kubuntu-text theme to new grey (LP: #979824)

  [ James Hunt ]
  * Temporary work-around that minimizes chance of referencing invalid
    sources (LP: #553745). 

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 13 Apr 2012 15:11:36 +0100

plymouth (0.8.2-2ubuntu29) precise; urgency=low

  * debian/patches/main-Don-t-watch-for-keyboard-input-if-no-keyboard.patch:
    Cherry-pick from upstream; don't watch for keyboard input if no keyboard
    is set, as is the case when should_ignore_show_splash_calls() returns
    true, fixing an assert failure.  LP: #619021.
  * debian/ubuntu-logo.png: remove in favor of the logo included in the
    ubuntu-logo theme which has the correct branding.  This has no impact on
    the default user experience, but fixes the branding when using certain
    non-default themes available in the archive.  (We still ship a copy in
    the main plymouth package for this reason.)  LP: #667262.
  * debian/patches/tty1-after-boot.patch: Switch back to tty1 on exit if
    started with vt.handoff.  Closes LP: #913731.
  * debian/plymouth-theme-{k,}ubuntu-text.{triggers,postinst}: regenerate
    our theme when /etc/lsb-release changes.  LP: #957380.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Apr 2012 04:59:54 +0000

plymouth (0.8.2-2ubuntu28) oneiric; urgency=low

  * debian/libplymouth2.apport: collect boot.log and plymouth-debug.log if it
    exists (LP: #860371)

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Sep 2011 07:23:45 +0200

plymouth (0.8.2-2ubuntu27) oneiric; urgency=low

  * debian/plymouth.upstart: don't start up on 'stopped gdm' or 'stopped
    lightdm' since on upgrade one of these two will always be stopped at
    system boot.  Instead look for a 'desktop-shutdown' event, and declare
    appropriate Breaks: against earlier versions of gdm, lightdm, kdm and
    lxdm that don't implement this event.  LP: #854329.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Sep 2011 22:58:30 -0700

plymouth (0.8.2-2ubuntu26) oneiric; urgency=low

  * Add direct dependency on ttf-dejavu-core since that's the font used in
    the initramfs-tools hook, instead of trusting that fontconfig-config
    pulls in the right alternative.  LP: #828027.
  * debian/initramfs-tools/scripts/init-bottom/plymouth: /run doesn't get
    moved to ${rootmnt}/run until *after* our script has run, so don't try
    to check for it before calling plymouth update-root-fs - it's not like
    we would ever want to not pivot root, anyway.  Fixes the fact that we
    haven't been getting /var/log/boot.log for months now.
  * debian/plymouth.plymouth-stop.upstart: if stopped by lightdm, let
    lightdm handle the VT transition as it's able, so we get flicker-free
    boot.  LP: #849954.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Sep 2011 10:56:55 -0700

plymouth (0.8.2-2ubuntu25) oneiric; urgency=low

  * debian/libplymouth2.apport: include grub configuration file and the
    contents of /proc/cmdline when reporting a bug with apport (LP: #787685)

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Jul 2011 09:57:35 -0700

plymouth (0.8.2-2ubuntu24) oneiric; urgency=low

  * initramfs scripts: /dev/.initramfs/ → /run/initramfs transition.
    (LP: #810956)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jul 2011 12:26:00 +0200

plymouth (0.8.2-2ubuntu23) natty-proposed; urgency=low

  * details/plugin.c: On every key stroke, the "details" plugin in plymouth
    clears only the current line before overwriting it with the password
    prompt. If the prompt is multilined then the last line ends up being
    overwritten but the previous lines are repeated. Re-printing only the
    last line of the password prompt on every keystroke. (LP: #566818)
  * details/plugin.c: Removed the explicit printing of ':'. Expected to be a
    part of the prompt.

 -- Surbhi Palande <surbhi.palande@canonical.com>  Thu, 21 Apr 2011 09:54:07 +0300

plymouth (0.8.2-2ubuntu22) natty; urgency=low

  * Install slave alternative for plymouth-theme-ubuntu-logo, telling GRUB
    to set an aubergine background (LP: #696915).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2011 14:35:17 +0100

plymouth (0.8.2-2ubuntu21) natty; urgency=low

  * Tolerate pre-multiarch versions of pango (LP: #741832).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2011 11:07:14 +0100

plymouth (0.8.2-2ubuntu20) natty; urgency=low

  * Backport from upstream:
    - [event-loop] Add reference count to event sources (with any luck, this
      will fix LP: #553745).
    - [event-loop] Handle more than 8 events at once (LP: #518926).
    - [terminal] Force enter to output newline.
    - [terminal] Add OPOST to tty attributes (LP: #546251).
    - [terminal] Don't set ISTRIP in terminal attributes.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Mar 2011 14:17:20 +0000

plymouth (0.8.2-2ubuntu19) natty; urgency=low

  * debian/initramfs-tools/hooks/plymouth: handle the nss_files modules
    being in the multiarch library path instead of in /lib.

