## plymouth 0.8.2-2-1mint6

=== debian/changelog ===
plymouth (0.8.2-2-1mint6) isadora-kde; urgency=low

  * Coloured ubuntu-text theme to blue dots, in file plugin.c.

 -- Jamie Birse <boo.birse@gmail.com>  Sat, 03 Jul 2010 12:38:51 +0000

plymouth (0.8.2-2-1mint5) isadora-kde; urgency=low

  * Rebranded text theme to mint kde.

 -- Jamie Birse <boo.birse@gmail.com>  Sat, 19 Jun 2010 06:17:44 +0000

plymouth (0.8.2-2-1mint4) isadora-kde; urgency=low

  * Rebranded to Mint KDE in ubuntu-logo theme.
  * Changed to isadora-kde repository.

 -- Jamie Birse <boo.birse@gmail.com>  Wed, 16 Jun 2010 13:00:43 +0000

plymouth (0.8.2-2-1mint3) isadora; urgency=low

  * Blanked "16"-like artwork in ubuntu-logo
  * Debranded ubuntu-text

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 7 May 2010 09:04:00 +0000

plymouth (0.8.2-2-1mint2) isadora; urgency=low

  * Switched from glow to ubuntu-logo theme

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Apr 2010 18:31:00 +0000

plymouth (0.8.2-2-1mint1) isadora; urgency=low

  * Rebranded

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 24 Apr 2010 21:20:00 +0000
