=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 CFLAGS = -Wall -g
 LDFLAGS = -Wl,--as-needed
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -21,13 +19,7 @@
 # PC-like
 ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel i386 ia64))
 	VGA_RENDERER=lib/plymouth/renderers/vga16fb.so
-endif
-
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
-	INTEL_CONFFLAGS=--enable-libdrm_intel
-else
-	INTEL_CONFFLAGS=--disable-libdrm_intel
-endif
+endif	
 
 override_dh_auto_configure:
 	dh_auto_configure -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
@@ -41,14 +33,12 @@
 		--without-rhgb-compat-link \
 		--without-gdm-autostart-file \
 		--without-default-plugin   \
-		--with-logo=/lib/plymouth/ubuntu_logo.png \
-		--with-background-color=0x2c001e \
-		--with-background-start-color-stop=0x2c001e \
-		--with-background-end-color-stop=0x2c001e \
+		--with-logo=/lib/plymouth/ubuntu-logo.png \
+		--with-background-color=0x000000 \
+		--with-background-start-color-stop=0x000000 \
+		--with-background-end-color-stop=0x000000 \
 		--with-boot-tty=/dev/tty7 \
-		--with-shutdown-tty=/dev/tty7 \
-		--enable-upstart-monitoring \
-		$(INTEL_CONFFLAGS)
+		--with-shutdown-tty=/dev/tty7
 
 override_dh_auto_install:
 	dh_auto_install
@@ -59,8 +49,6 @@
 	sed -e'/frame-buffer\.so$$/a\
 $(VGA_RENDERER)' < debian/plymouth.install.in > debian/plymouth.install
 	dh_install
-	sed -i -e's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' \
-		debian/plymouth/usr/share/initramfs-tools/hooks/plymouth
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -72,8 +60,6 @@
 	dh_installinit --name=plymouth-log --noscripts
 	dh_installinit --name=plymouth-splash --noscripts
 	dh_installinit --name=plymouth-stop --noscripts
-	dh_installinit --name=plymouth-upstart-bridge --noscripts
-	dh_installinit --name=plymouth-ready --noscripts
 
 # Make the initramfs scripts executable
 override_dh_fixperms:
