## plymouth 0.8.3

=== debian/changelog ===
plymouth (0.8.3-20) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Compacting copyright file.
  * Removing superfluous README.source.
  * Adding note about nvidia cards in readme.
  * Updating to standards version 3.9.2.
  * Switching architecture fields to linux-any (Closes: #611593,
    #637034).
  * Exit early in initscript if package was removed but not purged,
    thanks to Maximilian Gaukler <development@maxgaukler.de> (Closes:
    #617857).
  * Adding patch from Michael Prokop <mika@debian.org> to fix wrong
    return code of plymouth-set-default-theme (Closes: #605018).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Sep 2011 15:34:42 +0200

plymouth (0.8.3-19) unstable; urgency=low

  * Applying patch from Steve Langasek <steve.langasek@ubuntu.com> to support
    multiarch (Closes: #634253).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jul 2011 20:55:29 +0200

plymouth (0.8.3-18) unstable; urgency=low

  * Switching to source format 3.0 (quilt).
  * Replacing debian logo with a swirl (Closes: #603286).
  * Rediffing set-default-framebuffer-device-to-dev-fb0.patch.
  * Adding debian-logo.png to source/include-binaries.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 16:27:22 +0100

plymouth (0.8.3-17) unstable; urgency=medium

  [ Julien Cristau ]
  * Cherry-pick "[terminal] don't stomp over original tty lock
    settings". Prevents setting tty1 in 'echo' mode after boot (Closes:
    595178).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Oct 2010 18:01:24 +0200

plymouth (0.8.3-16) unstable; urgency=low

  * Correcting themes depends (Closes: #599411).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 07 Oct 2010 15:02:11 +0200

plymouth (0.8.3-15) unstable; urgency=low

  * Updating to debhelper version 8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 07 Oct 2010 08:15:17 +0200

plymouth (0.8.3-14) experimental; urgency=low

  * Adding conflicts/replaces for old plymouth on plymouth-x11 (Closes:
    #598733).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 02 Oct 2010 11:41:37 +0200

plymouth (0.8.3-13) experimental; urgency=low

  * Reverting patch from upstream for make plymouth work with systemd,
    made plymouth break otherwise (Reopen: #596680).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 01 Oct 2010 07:18:25 +0200

plymouth (0.8.3-12) experimental; urgency=low

  * Adding patch from upstream prepared by Michael Biebl
    <biebl@debian.org> to make plymouth work with systemd (Closes:
    #596680).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 14 Sep 2010 21:21:39 +0200

plymouth (0.8.3-11) experimental; urgency=low

  * Adding symlink from plymouth.8 to plymouth-set-default-theme.8
    (Closes: #596570).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 12 Sep 2010 19:29:47 +0200

plymouth (0.8.3-10) experimental; urgency=low

  * Making pango build-depends unversioned, not needed anymore.
  * Splitting out kms stuff into plymouth-drm, this allows to have the
    plymouth package containing everything for the text splash without
    any depends other than libc6 and initramfs-tools.
  * Correcting conditionals for text theme in initramfs hook.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 11 Sep 2010 00:01:15 +0200

plymouth (0.8.3-9) unstable; urgency=high

  * Removing superfluous reference to intel_agp and drm in
    README.Debian, thanks to Julien Cristau <jcristau@debian.org>.
  * Shipping preconfigured plymouthd.conf instead of setting the default
    theme in postinst which doesn't work reliable (Closes: #594999).
  * Correcting typo in fontconfig-config package name in previous
    changelog entry.
  * Avoid kms bloat if text theme is used (the text theme only works in
    non-kms mode anyway).
  * Also setting default plugin to text in plymouthd.defaults.
  * Downgrading fontconfig-config and ttf-dejavu-core depends to
    recommends, they are not needed when running the default text
    plugin.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 10 Sep 2010 22:06:46 +0200

plymouth (0.8.3-8) unstable; urgency=low

  [ Anisse Astier ]
  * Adding fontconfig-config to depends.

  [ Daniel Baumann ]
  * Updating postinst script to deal with not just with empty but also
    with the uninitialized theme.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Sep 2010 13:31:39 +0200

plymouth (0.8.3-7) unstable; urgency=low

  * Calling plymouthd with --attach-to-session (Closes: #575177,
    #593408, #595178).
  * Setting default plugin to text if nothing else was specified
    (Closes: #594999).
  * Adding shutdown and restart messages in initscript when using text
    plugin, thanks to Leszek Lesner <leszek.lesner@googlemail.com>.
  * Updating to standards version 3.9.1.
  * Updating README.Debian for plymouth 0.8.
  * Adding information for AMD (ATI) graphic cards to README.Debian,
    thanks to Sebastian Leske <Sebastian.Leske@sleske.name> (Closes:
    #591623).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Sep 2010 12:30:29 +0200

plymouth (0.8.3-6) unstable; urgency=low

  * Removing old conflicts and replaces.
  * Correcting spelling typo in package description (Closes: #592866).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 12:44:50 +0200

plymouth (0.8.3-5) unstable; urgency=high

  [ Daniel Baumann ]
  * Updating standards version to 3.9.0.

  [ Anisse Astier ]
  * Starting plymouth as late as possible in order to have it on screen
    until X is started on an user mode setting system.

  [ Daniel Baumann ]
  * Adding depends to ttf-dejavu-core, thanks to Anisse Astier
    <anisse@astier.eu>.


