=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	rm -f build-tools/config.guess build-tools/config.sub

override_dh_auto_configure:
	cp -f /usr/share/misc/config.guess build-tools
	cp -f /usr/share/misc/config.sub build-tools

	dh_auto_configure -- --prefix=/usr --localstatedir=/var --enable-pango \
		--enable-tracing --disable-tests --disable-gdm-transition \
		--with-system-root-install --without-rhgb-compat-link \
		--with-gdm-autostart-file \
		--with-release-file=/etc/debian_version \
		--with-logo=/usr/share/plymouth/debian-logo.png \
		--with-background-color=0x005a8a

override_dh_install:
	# Removing useless files
	rm -f debian/tmp/lib/*.la
	rm -f debian/tmp/usr/lib/*.la
	rm -f debian/tmp/usr/lib/plymouth/*.la
	rm -f debian/tmp/usr/lib/plymouth/*/*.la

	dh_install --fail-missing

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/plymouth.hook debian/plymouth/usr/share/initramfs-tools/hooks/plymouth
	sed -i -e's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' debian/plymouth/usr/share/initramfs-tools/hooks/plymouth
	install -D -m 0755 debian/local/plymouth.init-premount debian/plymouth/usr/share/initramfs-tools/scripts/init-premount/plymouth
	install -D -m 0755 debian/local/plymouth.init-bottom debian/plymouth/usr/share/initramfs-tools/scripts/init-bottom/plymouth

	# Adding other debian specific files
	install -D -m 0644 debian/local/debian-logo.png debian/plymouth/usr/share/plymouth/debian-logo.png
	install -D -m 0755 debian/local/plymouth-update-initrd debian/plymouth/usr/lib/plymouth/plymouth/plymouth-update-initrd

override_dh_makeshlibs:
	dh_makeshlibs -p plymouth
	dh_makeshlibs -p plymouth-drm

override_dh_installinit:
	dh_installinit --no-start -- start 21 2 3 4 5 . stop 02 0 6 .
